For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • METAMASK Wrapper API
    • Overview
    • GETBuy Order by ID
    • GETSell Order by ID
    • GETBuy Orders
    • GETSell Orders
    • GETBuy Widget
    • GETSell Widget
    • GETBuy Quote
    • GETSell Quote
    • GETBuy Configuration
    • GETSell Configuration
Dashboard
LogoLogo

Buy Quote

||View as Markdown|
GET
/metamask/v1/quote
GET
/metamask/v1/quote
$curl -G https://api-stg.transak.com/metamask/v1/quote \
> -H "x-api-key: " \
> -d payment= \
> -d crypto= \
> -d fiat= \
> -d amount=0 \
> -d network=0
1{
2 "processingFee": 2.99,
3 "networkFee": 0.06,
4 "amountOut": 0.0544429
5}
This API provide the On Ramp Quote for provided fiat and crypto currency. ![Buy Quote](https://assets.transak.com/doc/Q2xlYW5TaG90IDIwMjUtMDMtMTMgYXQgMTIuMTQuNTRAMngucG5n.png)
Was this page helpful?
Previous

Sell Widget

Next

Sell Quote

Built with

This API provide the On Ramp Quote for provided fiat and crypto currency.

Buy Quote

Headers

x-api-keystringRequired
Transak API key. Present in dashboard.transak.com

Query parameters

paymentstringRequired
Payment method
cryptostringRequired
Crypto currency
fiatstringRequired
Fiat currency
amountdoubleRequired
Fiat amount
networkdoubleRequired
Blockchain network Id

Response

200 - Success

processingFeedouble

Response field processingFee.

networkFeedouble

Response field networkFee.

amountOutdouble

Response field amountOut.

Errors

400
Bad Request Error